> For the complete documentation index, see [llms.txt](https://developers.felt.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.felt.com/js-sdk-api-reference/ui/uipanelcreateorupdate.md).

# UIPanelCreateOrUpdate

***

The parameters for creating a panel by using [UiController.createOrUpdatePanel](/js-sdk-api-reference/ui/uicontroller.md#createorupdatepanel).

## See

[UIPanel](/js-sdk-api-reference/ui/uipanel.md) for more information about panels.

## Properties

### id

> **id**: `string`

The ID of the panel obtained from [UiController.createPanelId](/js-sdk-api-reference/ui/uicontroller.md#createpanelid).

#### Remarks

Custom IDs are not supported.

***

### title?

> `optional` **title**: `string`

The title to display in the panel header.

***

### onClickClose()?

> `optional` **onClickClose**: (`args`: { `id`: `string`; }) => `void`

A function to call when panel's close button is clicked.

#### Parameters

| Parameter | Type                | Description                           |
| --------- | ------------------- | ------------------------------------- |
| `args`    | { `id`: `string`; } | The arguments passed to the function. |
| `args.id` | `string`            | The id of the panel.                  |

#### Returns

`void`

***

### type?

> `optional` **type**: `"Panel"`

***

### body?

> `optional` **body**: [`UIPanelElementCreate`](/js-sdk-api-reference/ui/uipanelelementcreate.md)\[]

The elements to add to the panel body.

***

### footer?

> `optional` **footer**: [`UIPanelElementCreate`](/js-sdk-api-reference/ui/uipanelelementcreate.md)\[]

The elements to add to the panel footer.

***

### onCreate()?

> `optional` **onCreate**: (`args`: { `id`: `string`; }) => `void`

A function to call when the element is created.

#### Parameters

| Parameter | Type                | Description                           |
| --------- | ------------------- | ------------------------------------- |
| `args`    | { `id`: `string`; } | The arguments passed to the function. |
| `args.id` | `string`            | The id of the element.                |

#### Returns

`void`

***

### onDestroy()?

> `optional` **onDestroy**: (`args`: { `id`: `string`; }) => `void`

A function to call when the element is destroyed.

#### Parameters

| Parameter | Type                | Description                           |
| --------- | ------------------- | ------------------------------------- |
| `args`    | { `id`: `string`; } | The arguments passed to the function. |
| `args.id` | `string`            | The id of the element.                |

#### Returns

`void`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.felt.com/js-sdk-api-reference/ui/uipanelcreateorupdate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
